{% extends "app/base.html" %} {% load utils %} {% block content %}

<h2>判定用</h2>

<hr />

{% if messages %} {% for message in messages %}
<div
  class="alert{% if message.tags %} alert-{{ message.tags }}{% endif %} alert-dismissible"
  role="alert"
  id="liveAlert"
>
  {{ message }}
</div>
{% endfor %} {% endif %}

<div class="mb-4">
  <form method="POST" class="dropzone dz" id="mydropzone">
    {% csrf_token %}
    <div class="fallback">
      <input name="file" type="file" multiple />
    </div>
  </form>
</div>

<div class="d-flex justify-content-between">
  <div class="d-flex align-items-end">
    合計{{ total_count }}件 {{ page_obj.start_index }}～{{ page_obj.end_index }}件を表示
  </div>

  <form method="get" action="{% url 'search_judge' %}" class="input-group w-25">
    <input type="text" class="form-control" name="keyword" placeholder="ファイル名を検索..." />
    <button class="btn btn-outline-secondary" type="submit">検索</button>
  </form>
</div>

{% if keyword %}
<h4 class="my-4">「{{ keyword }}」の検索結果</h4>
{% endif %}

<table class="table table-striped">
  <thead>
    <tr>
      <th class="text-center" scope="col">日付</th>
      <th class="text-center" scope="col">時間</th>
      <th class="text-center" scope="col">ファイル名</th>
      <th class="text-center" scope="col">判定結果</th>
      <th class="text-center" scope="col">DB存在しない</th>
    </tr>
  </thead>
  <tbody>
    {% for data in judge_data %}
    <tr>
      <td class="text-center">{{ data.created_at|date }}</td>
      <td class="text-center">{{ data.created_at|time }}</td>
      <td class="text-center">{{ data.name }}</td>
      <td class="text-center">
        <a class="btn btn-secondary btn-sm" href="{% url 'download_judge' data.id %}">
          ダウンロード
        </a>
      </td>
      <td class="text-center">
        {% if data.no_db %}
        <a class="btn btn-secondary btn-sm" href="{% url 'download_nodb_judge' data.id %}">
          ダウンロード
        </a>
        {% else %} - {% endif %}
      </td>
    </tr>
    {% endfor %}
  </tbody>
</table>

<ul class="pagination justify-content-center">
  {% if page_obj.has_previous %}
  <li class="page-item">
    <a class="page-link" href="?{%  url_replace request 'page' page_obj.previous_page_number %}">
      <span aria-hidden="true">&laquo;</span>
    </a>
  </li>
  {% endif %} {% for num in page_obj.paginator.page_range %} {% if page_obj.number == num %}
  <li class="page-item active">
    <a class="page-link" href="#!"> {{ num }} </a>
  </li>
  {% else %}
  <li class="page-item">
    <a class="page-link" href="?{%  url_replace request 'page' num %}"> {{ num }} </a>
  </li>
  {% endif %} {% endfor %} {% if page_obj.has_next %}
  <li class="page-item">
    <a class="page-link" href="?{%  url_replace request 'page' page_obj.next_page_number %}">
      <span aria-hidden="true">&raquo;</span>
    </a>
  </li>
  {% endif %}
</ul>

{% endblock %} {% block extra_js %}
<script>
  Dropzone.autoDiscover = false
  const myDropzone = new Dropzone('#mydropzone', {
    url: "{% url 'fileupload_judge' %}",
    maxFilesize: 10, // MB
    dictDefaultMessage: 'ファイルをアップロードしてください',
    acceptedFiles: '.csv',
    paramName: 'file',
    success: function (file, response) {
      window.location.href = JSON.parse(file.xhr.response).url
    },
    // error: function (event, errorMessage, xhr) {
    //   console.log(errorMessage)
    // },
  })
</script>

{% endblock %}
